> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get user breakdown

> retrieve analysis activity broken down by user, optionally scoped to a project



## OpenAPI

````yaml /api-reference/security.json get /security/summary/users
openapi: 3.1.2
info:
  title: Bevor Security API
  version: 1.0.0
servers: []
security: []
tags:
  - name: analysis
    description: Analyses, which own a lineage of versions and track a HEAD.
  - name: analysis version
    description: 'Versions of an analysis: creation, lineage, diffs, and pipeline runs.'
  - name: finding
    description: Findings on an analysis version, their staged edits, and comments.
  - name: remediation
    description: Remediations generated for findings.
  - name: summary
    description: Aggregated reporting over analyses, projects, and users.
  - name: chat
    description: Audit chat threads and messages.
paths:
  /security/summary/users:
    get:
      tags:
        - summary
      summary: get user breakdown
      description: >-
        retrieve analysis activity broken down by user, optionally scoped to a
        project
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  results:
                    items:
                      $ref: '#/components/schemas/UserBreakdownSchema'
                    title: Results
                    type: array
                title: ResultsResponse[UserBreakdownSchema]
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    UserBreakdownSchema:
      properties:
        user:
          $ref: '#/components/schemas/UserSchema'
        n_analyses:
          title: N Analyses
          type: integer
        last_analysis_at:
          format: date-time
          type: string
          nullable: true
        n_remediated:
          default: 0
          title: N Remediated
          type: integer
        n_validated:
          default: 0
          title: N Validated
          type: integer
      required:
        - user
        - n_analyses
      title: UserBreakdownSchema
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - auth.team_required
            - auth.invalid_permissions
            - error.not_found
            - error.invalid_scope
            - error.limit
            - error.entity_deleted
            - error.invalid_state
            - error.conflict
            - error.integrity
            - error.database
            - error.validation
            - error.server
            - analysis.entrypoint_failure
            - code.unsupported
            - code.node_invalid
            - code.conflict
            - app.rate_limit
            - payment.error
            - payment.failed
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
    UserSchema:
      properties:
        id:
          title: Id
          type: string
        is_self:
          title: Is Self
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        username:
          title: Username
          type: string
      required:
        - id
        - is_self
        - created_at
        - username
      title: UserSchema
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````